package com.ynet.life.sujrb.controller;

import com.ynet.gene.core.Context;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.ObjectNotFoundException;
import com.ynet.life.base.LifePlatManager;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.mvc.PlatXMLViewRequestController;
import com.ynet.life.mvc.SimpleRequest;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_sujrb_controller.jar:com/ynet/life/sujrb/controller/PerPlatSpecialRequestController.class */
public class PerPlatSpecialRequestController extends PlatXMLViewRequestController {
    protected void preActionWork(HttpServletRequest request, SimpleRequest simpleRequest) throws TranFailException {
    }

    protected void pstActionWork(HttpServletRequest request, Context context, Throwable throwable, SimpleRequest simpleRequest) throws TranFailException {
    }

    protected void preContextWork(HttpServletRequest request, Context context, SimpleRequest simpleRequest) throws TranFailException {
        String bankId = request.getParameter(TEntity.bankIdFieldName);
        String channel = request.getParameter(TEntity.channelFieldname);
        if (bankId == null || "".equals(bankId)) {
            throw TEntity.BIZ_EXCEPTION_TRAN;
        }
        if (channel == null || "".equals(channel)) {
            throw TEntity.BIZ_EXCEPTION_TRAN;
        }
        context.put(TEntity.bankIdFieldName, bankId);
        context.put(TEntity.channelFieldname, channel);
        String dataSource = (String) LifePlatManager.BANK_DBSOURCE_MAP.get(bankId);
        context.put(TEntity.dataSourceName, dataSource);
    }

    protected void pstContextWork(HttpServletRequest request, Context context, SimpleRequest simpleRequest) throws TranFailException, ObjectNotFoundException, InvalidArgumentException {
        request.getParameter(TEntity.bankIdFieldName);
        request.getParameter(TEntity.channelFieldname);
    }

    private void addBusinessInfo(HttpServletRequest request, Context context, SimpleRequest simpleRequest) {
        try {
            request.getParameter("trxCode");
            request.getAttribute("srcChannel");
            simpleRequest.getId();
            context.put("timezone", request.getParameter("timezone"));
        } catch (Exception e) {
            Trace.logError("LifeAction", e.getMessage());
        }
    }
}
